Subject: Re: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: David Kastrup <[email-masked]>
Date: Sun, 01 Mar 2020 19:22:32 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: David Kastrup <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Sun, 01 Mar 2020 18:45:33 +0100
>> 
>> > Please try the latest pretest of Emacs 27, things are more reasonable
>> > now.
>> 
>> Uh, I compiled today from master.
>
> Then you see something very different from what I see on the emacs-27
> branch, which is very strange.
>
> When I modify the file in Emacs, after it was modified by some other
> program, I see this:
>
>   FILE changed on disk; really edit the buffer? (y, n, r or C-h)
>
> Pressing 'y' shows this:
>
>   File on disk now will become a backup file if you save these changes.
>
> Typing C-x C-s then shows this:
>
>   FILE has changed since visited or saved.  Save anyway? (yes or no)
>
> Typing "yes" then says
>
>   Wrote FILE
>
> That sounds reasonable to me.

Well, I said that version control may be involved but this is the same
using emacs -Q and on a file not under version control.  Here is the
current report-emacs-bug blurb for identification:

In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.12, cairo version 1.16.0)
 of 2020-03-01 built on lola
Repository revision: 279bf23695aff0f680fc846d285c5dc2b9596e76
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: Ubuntu 19.10

This is actually

commit e98ee8ddac24f7db3acfbbaadde5116d138bf698 (origin/master, origin/HEAD)
Author: Stefan Kangas <[email-masked]>
Date:   Sun Mar 1 01:19:23 2020 +0100

    Make 'load-dangerous-libraries' obsolete (Bug#37819)
    
    When 'load-dangerous-libraries' was t, Emacs allowed loading .elc
    files compiled by XEmacs.  This patch removes the support for that use
    case, and declares the variable obsolete.
    
    * lisp/subr.el (load-dangerous-libraries): Declare obsolete.
    * src/lread.c (Fload): Ignore its value, and thereby refuse to load
    files byte compiled by XEmacs.
    (syms_of_lread): Update doc string of 'bytecomp-version-regexp' to not
    refer to it.
    * doc/emacs/building.texi (Lisp Libraries): Remove its documentation.

with two unrelated commits of mine on top.

-- 
David Kastrup